<?php
$jahrgang=$_COOKIE["jahrgang"];
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'j_lb_einmal','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

if($jahrgang == ""){
  echo "Bitte zuerst <a href='jahrgang.php'>Jahrgang</a> w&auml;hlen!";
  exit;
}
session_start();



if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
 
      $result = $db->query("SELECT lbemid, wert
                              FROM prog_lb_einmal
                             WHERE jahr=$jahrgang");
      $row    = $result->fetch_array();
      $smarty->assign('lb_einmal_wert', $row['wert']);
      $smarty->assign('lb_einmal_jahr', $jahrgang);

}

   
if($action == 'save'){
  $wert  = $_POST['wert'];
  if($wert == ''){
    $result = $db->query("DELETE FROM prog_lb_einmal WHERE jahr=$jahrgang");
  }else{
      $result = $db->query("SELECT count(*) Anz
                                  FROM prog_lb_einmal
                                 WHERE jahr=$jahrgang");
      $row    = $result->fetch_array();
      $modify_date = date("Y-m-d H:i:s");
      if($row['Anz'] > 0){
        $result = $db->query("UPDATE prog_lb_einmal 
                                 SET wert = '$wert'
                                    ,modify_date = '$modify_date'
                               WHERE jahr = '$jahrgang'
                            ");
      }else{
        $result = $db->query("INSERT INTO prog_lb_einmal (jahr, wert, modify_date) VALUES ('$jahrgang', '$wert', '$modify_date')");
      }
  }
  echo "<meta http-equiv=\"refresh\" content=\"2; URL=" . $_SERVER['PHP_SELF'] . "?\">";
}
$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>